Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 137305 - will not install on supermicro p3tde6
will not install on supermicro p3tde6
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.cs.fsu.edu/~baker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 09:37 EDT by Ted Baker
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:17:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Baker 2004-10-27 09:37:02 EDT
Description of problem:

The installation hangs at the point of initializing the AIC7XXX
driver.  I checked the Supermicro support site, and they mention that
on earlier versions of Red Hat (I am running version 9 right now) you
have to suppress the probing and explicitly load the old AIC7XXX
driver.  I think I recall doing this when I first installed Red Hat on
this machine, but now I am running a kernel I compiled myself. 
"dmesg" tells me I am running the Adaptec AIC7XXX driver, Rev. 6.2.8,
with no problem.  That is my first problem.

While at the Supermicro site, I ran into another note, that says
Fedora 2 will not work on this board because of an AGP problem.  If we
can get past the SCSI problem I'll worry about that next.

I would really like to run Fedora 2 on this system, and I'm tired of
getting the warnings about my Red Hat 9 having dangerous security
bugs.  Any help would be appreciated.
Version-Release number of selected component (if applicable):


How reproducible:

You need to have this motherboard, I guess.  Otherwise, it happens
every time I try to install from the Fedora 2 CD.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Hangs at the point of AIC7XXX initialization, after
printing a small block of garbage characters on the screen.

Expected results:

Normal installation.

Additional info:

Please feel free to e-mail me at baker.cs.fsu.edu,
or call 850-644-5452.
Comment 1 Ted Baker 2004-10-28 09:46:20 EDT
loading AIC7XXX driver ... pause .... garbage message on screen ... hang

garbage prints in text with diacritical marks, which I trascribe as
follows:

T(cedille beneath)3CU(tick beneath)AK3MEG(cirumflex above)u(u-shaped
mark above)(space)(u-shaped mark above)z(dot above)G(cirumflex
above)g(u-shaped mark above)l(u-shaped mark above)l(u-shaped mark above)

This is on a Supermicro P3TDE6-G Motherboard that uses the ServerWorks
HE-SL chipset, and has an onboard Adaptec AIC-7899 dual-channel Ultra
160 SCSI controller.

I am currently running Red Hat 9 on this system (using it to type this
message now), and would like to upgrade to Red Hat 6.0.  When I boot
with kernel 2.4-20-31.9 I have no problem:

Oct 26 17:13:55 ada kernel: SCSI subsystem driver Revision: 1.00
Oct 26 17:13:55 ada kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI
HBA DRIVER, Rev 6.2.8
Oct 26 17:13:55 ada kernel:         <Adaptec aic7899 Ultra160 SCSI
adapter>
Oct 26 17:13:55 ada kernel:         aic7899: Ultra160 Wide Channel A,
SCSI Id=7, 32/253 SCBs
Oct 26 17:13:55 ada kernel: 
Oct 26 17:13:55 ada kernel: scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI
HBA DRIVER, Rev 6.2.8
Oct 26 17:13:55 ada kernel:         <Adaptec aic7899 Ultra160 SCSI
adapter>
Oct 26 17:13:55 ada kernel:         aic7899: Ultra160 Wide Channel B,
SCSI Id=7, 32/253 SCBs
Oct 26 17:13:55 ada kernel: 
Oct 26 17:13:55 ada kernel: scsi2 : Adaptec AIC7XXX EISA/VLB/PCI SCSI
HBA DRIVER, Rev 6.2.8
Oct 26 17:13:55 ada kernel:         <Adaptec 2902/04/10/15/20/30C SCSI
adapter>
Oct 26 17:13:55 ada kernel:         aic7850: Single Channel A, SCSI
Id=7, 3/253 SCBs

I also compiled my own 2.6.9 kernel.  It boots, with some complaints
about various system components that need upgrading.

It does not hang like the version on the install disk, but it does
seem to pause quite a long time between the AIC7XXX messages, as if it
might be timing out and then going on.  I have not actually tested
that kernel version yet with SCSI drives connected to the controllers.
 (In case you wonder why: I'm currently
using only the two IDE drives as primaries for the old OS,
planning ot keep the old OS on those drives as backup until the new
install is working on the SCSI drives. Since the SCSI devices have
priority for booting, if I plug them without an OS on them the system
will not boot at all. I may be able to play with the BIOS settings to
give the IDE priority, but my first attempt at this did not work.

Here are the log messages:
Oct 27 14:03:23 ada kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI
HBA DRIVER, Rev 6.2.36
Oct 27 14:03:23 ada kernel:         <Adaptec aic7899 Ultra160 SCSI
adapter>
Oct 27 14:03:23 ada kernel:         aic7899: Ultra160 Wide Channel A,
SCSI Id=7, 32/253 SCBs
Oct 27 14:03:23 ada kernel: 
Oct 27 14:03:23 ada kernel: scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI
HBA DRIVER, Rev 6.2.36
Oct 27 14:03:23 ada kernel:         <Adaptec aic7899 Ultra160 SCSI
adapter>
Oct 27 14:03:23 ada kernel:         aic7899: Ultra160 Wide Channel B,
SCSI Id=7, 32/253 SCBs
Oct 27 14:03:23 ada kernel: 
Oct 27 14:03:23 ada kernel: scsi2 : Adaptec AIC7XXX EISA/VLB/PCI SCSI
HBA DRIVER, Rev 6.2.36
Oct 27 14:03:23 ada kernel:         <Adaptec 2902/04/10/15/20C/30C
SCSI adapter>
Oct 27 14:03:23 ada kernel:         aic7850: Single Channel A, SCSI
Id=7, 3/253 SCBs
Comment 2 Ted Baker 2004-10-28 09:48:51 EDT
ooops!  I meant "Fedora 2", not "Red Hat 6.0" .... don't know what
gremlin got into my fingers...
Comment 3 Ted Baker 2004-10-28 15:18:59 EDT
I modified the BIOS boot configuration and got the system running with
kernel 2.6, and have successfully written data to filesystems on the
SCSI disks.  So, there is no problem with this board and kernel 2.6.9 
the new AIC7XXX driver itself on this platform.  The problem is in
whatever is on the Fedora 2 distribution disks.  I'm including the
AIC7XX portion of .config for reference

CONFIG_SCSI_AIC7XXX=y
CONFIG_AIC7XXX_CMDS_PER_DEVICE=253
CONFIG_AIC7XXX_RESET_DELAY_MS=15000
CONFIG_AIC7XXX_DEBUG_ENABLE=y
CONFIG_AIC7XXX_DEBUG_MASK=0
CONFIG_AIC7XXX_REG_PRETTY_PRINT=y
# CONFIG_SCSI_AIC7XXX_OLD is not set

Should I try to hack new Fedora installation disks using my own
kernel?....

--Ted Baker

PS: You may ask why I want to use the Fedora install disks, if I
already have a working system with kernel 2.6 and yum updates.  The
answer is that this installation is getting very cluttered with legacy
junk.  I wanted to start fresh with the new distribution and new
disks.  If I try to keep this patched-up thing going I will also need
to recompile and install a bunch of things that are not working quite
right with 2.6, and risk along the way crashing and corrupting something.


Comment 4 Dave Jones 2004-11-16 00:02:41 EST
is this still a problem with FC3 ?
There's a 2.6.9 based update about to go into FC2, but that doesn't
really help you wrt installation, hence my question.
 
Comment 5 Ted Baker 2004-11-28 15:56:31 EST
The problem has evolved with FC3.  That is, I made the FC3 DVD and was
able to boot with it.  The install worked, more or less.  (That is, it
crashed every time I tried to specify a different disk order for the
grub installation, so I had to install grub on the drive that it
wanted, but then the system would not boot at all. I booted with the
recovery disk, and ran grub-install by hand to correct the problem.)

I ran into bigger problems later, when I tried to boot the installed
system, though. It hangs at the system initialization stage where it
has just printed out "Initializing hardware ... storage network"

I have to use the hardware reset switch, and boot using my old system
image on the other drives.  That is I now managed to put an FC image
on two of my disk drives, which I had reserved for that, but I can't
run the new system image.  I'm still using the old disk drives as I
write this message...  the Red Hat 9.0 system.

 
Comment 6 Dave Jones 2005-04-16 02:17:36 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.